Packages - Packaging Request #3081

Isd
2021-08-17 06:02 AM - kabo

Status: wont-fix % Done: 0%
Priority: wish

Assignee: bill-auger

Category:

Description

Hi,

Isd is available in the arch repos, would be great if it could be packaged in parabola as well please :)

Related issues:

Related to Packages - Freedom Issue #2331: [awesome-terminal-fonts] Contains ... fixed
Related to Packages - Freedom Issue #2334: [otf-font-awesome][ttf-font-awesom... confirmed
History

#1 - 2021-08-17 10:49 AM - freemor
- Priority changed from bug to wish

- Status changed from open to wont-fix

Isd is blacklisted due to non-free depends. See:

$ grep 1lsd /usr/share/doc/your-freedom/blacklist.txt
1sd::parabola:2331: [uses—nonfree] Requires nonfree awesome-terminal-fonts

#2 - 2021-08-17 11:32 PM - kabo
Hmm, | wonder if that was true, but isn't anymore. Isd readme says:

Install the patched fonts of powerline nerd-font and/or font-awesome. Have a look at the Nerd Font README for
more installation instructions.

So font-awesome is not required. And Nerd Fonts are licensed under MIT according to
https://github.com/ryanoasis/nerd-fonts/blob/master/readme.md#license

I'm using the Hack font, which is libre.
https://github.com/ryanoasis/nerd-fonts/tree/master/patched-fonts/Hack#license

Should | make a separate request to have Isd removed from the blacklist?

#3 - 2021-08-17 11:52 PM - bill-auger

- Related to Freedom Issue #2331: [awesome-terminal-fonts] Contains at least one nonfree logo added

#4 - 2021-08-17 11:59 PM - bill-auger

- Status changed from wont-fix to info needed

related to: #1648 and #2331 (#2331 is the blacklist reference)

the blacklisting protocol is to prefer librefication over deletion - i re-opened the ticket to determine if 'Isd' can be made to work without the blacklisted
fonts, and if a recipe could be added to abslibre

if that does not happen, this ticket should explain why 'Isd’ could not be rescued, and become the new reference for the 'lsd' entry
#5 - 2021-08-18 12:16 AM - bill-auger

kabo -

do you have a PKGBUILD for this already?

would you be willing to maintain the package?

2024-04-25 1/4



https://github.com/ryanoasis/nerd-fonts/blob/master/readme.md#license
https://github.com/ryanoasis/nerd-fonts/tree/master/patched-fonts/Hack#license
https://labs.parabola.nu/issues/1648
https://labs.parabola.nu/issues/2331
https://labs.parabola.nu/issues/2331

Should | make a separate request to have Isd removed from the blacklist?

this ticket should be sufficient - the bug report reference for the 'Isd' blacklist entry is #2331; so even this ticket was not necessary - blacklist rationales
should be reflected on the referenced bug reports - or, the reference would need to change if the decision were on another ticket

#6 - 2021-08-18 02:10 AM - kabo

Oh, hmm, reading through those past issues... nerdfonts definitely has the twitter logo in there, so nerdfonts probably doesn't make the cut either :/
Sorry for the confusion.

#7 - 2021-08-18 02:32 AM - kabo

Ah, but | see nerdfonts does provide a font-patcher, which means you can generate your own font file and only include the glyphs you want. Look at
the bottom of the page https:/www.nerdfonts.com/

So one could generate a nerdfont that doesn't include the fontawesome stuff...?
#8 - 2021-08-18 05:04 AM - bill-auger

easier, to use a font that parabola already has, if one is suitable

or better yet, to fix awesome-fonts, if that is possible

#9 - 2022-04-24 10:24 AM - kabo

| see ttf-nerd-fonts-symbols and ttf-font-awesome are available as packages in Parabola now, perhaps Isd could be included as well now?
#10 - 2022-04-25 08:28 AM - bill-auger
'ttf-font-awesome' and 'awesome-terminal-fonts' are probably not the same

'ttf-font-awesome' comes from https://github.com/FortAwesome/
‘awesome-terminal-fonts' comes from https://github.com/gabrielelana/

me thinks this may be a case of too many people wishing to be "awesome" in the same arena

#11 - 2022-04-25 11:29 PM - kabo

Maybe... On the other hand, if | just download Isd from the github release page it seems to work fine with the fonts parabola provides, it shows icons
correctly.
https://github.com/Peltoche/lsd/releases

So it doesn't really require non-free fonts.

#12 - 2022-04-26 02:49 AM - bill-auger

if you downloaded it from github, you may have also downloaded those non-free fonts along with it

i just tried the parabola package, without 'awesome-terminal-fonts' installed - it works and does not complain; but all of he icons are generic unicode
blocks, like: [

it could also be that you have some other fonts installed on your system that i dont - if my example does not appear as a generic block, that could
explain something

#13 - 2022-04-26 02:52 AM - kabo

Do you have ttf-nerd-fonts-symbols and ttf-font-awesome installed though?

The icon you posted shows up as a little document icon in my browser.

#14 - 2022-04-26 02:59 AM - bill-auger

if you would like to run the experiment, maybe you will get different results - this will simulate how the Isd package would behave, if that non-free
dependency was removed

wget https://mirror.fdst.host/archlinux/community/os/x86_64/1sd-0.21.0-1-x86_64.pkg.tar.zst

wget https://mirror.f4st.host/archlinux/community/os/x86_64/1sd-0.21.0-1-x86_64.pkg.tar.zst.sig

sudo pacman-key --verify 1sd-0.21.0-1-x86_64.pkg.tar.zst.sig

sudo pacman -U 1sd-0.21.0-1-x86_64.pkg.tar.zst --assume-installed=awesome-terminal-fonts --assume-installed=yo
ur—freedom

that will ask you to remove your-freedom - you will need to re-install your-freedom later
#15 - 2022-04-26 03:02 AM - bill-auger

The icon you posted shows up as a little document icon in my browser.

then you have some fonts installed that i do not
i just installed ttf-nerd-fonts-symbols and ttf-font-awesome - those made no difference

#16 - 2022-04-26 03:02 AM - kabo

Yup, that works perfectly for me, Isd runs and shows the icons.
#17 - 2022-04-26 03:04 AM - kabo
bill-auger wrote:

i just installed ttf-nerd-fonts-symbols and ttf-font-awesome - it made no difference

Hmm, ok, | think | had to run fc-cache or something like that. But I'm sure you know what you're doing better than me here :)
This makes me wonder if some fonts have snuck onto my system somehow?

#18 - 2022-04-26 03:07 AM - kabo
- File fc-list.txt added

I ran "fc-list", this was the output. How can | see if there are any fonts there that shouldn't be there?

#19 - 2022-04-26 03:07 AM - bill-auger

that may be a good sign - we wuold need to determine which font package you have installed, that is casing the good behavior, then make 'Isd'
depend on that

note that if you installed Isd from from github, using the sudo, you will need to revert that install if possible - sometimes it is not possible
#20 - 2022-04-26 03:09 AM - kabo

| never installed Isd from github using sudo, just

tar -xf Isd-xxx.tar.gz

cd Isd-xxx/
Jsd

#21 - 2022-04-26 03:19 AM - kabo

This looked like a prime candidate:
/home/kabo/.local/share/fonts/Hack-Regular.itf: Hack:style=Regular

I've deleted that file, run fc-cache, and rebooted my laptop. Isd still works fine with the icons, so does the icon you posted. So it's not that.

#22 - 2022-04-26 03:23 AM - bill-auger

if have any fonts under /home/kabo/.local/share/fonts/, parabola did not put them there - you should move that entire directory out of the way for this
experiment

$ mv /home/kabo/.local/share/fonts/ /home/kabo/local-share-fonts/

if Isd still works fine with those out of the way, show us what this command prints - this will report which fonts you have installed from parabola:

$ for ea in $(LANG=C pacman -Sii fonts-meta | grep Depends | cut -d ':' —-f 2) ; do pacman -Qi $ea &> /dev/null
&& echo $ea ; done

#23 - 2022-04-26 03:26 AM - kabo
- File output.txt added

I've moved the entire directory now.
Output attached.
#24 - 2022-04-26 03:27 AM - kabo

The terminal I'm using is Kitty, with hack as the configured font. Not sure if that matters.

#25 - 2022-04-26 06:39 AM - bill-auger

'ttf-font-awesome' did the trick for me

#26 - 2022-04-26 07:46 AM - bill-auger

- Related to Freedom Issue #2334: [otf-font-awesome][ttf-font-awesome] LICENSE asks to use brand icons only to represent the company, product, or
service to which they refer added

#27 - 2022-04-26 09:43 AM - bill-auger
- Assignee set to bill-auger

- Status changed from info needed to wont-fix

sry, i tried - this is not going to happen - the arch package downloads about 100 undeclared rust dependencies in the prepare() function - none of
them mention a license; and i can only guess that they are all binaries

https://github.com/Peltoche/Isd/blob/master/Cargo.lock

just for fun, i investigated one of them: 'ansi_term' - the dependency manifest above references another git repo, which is apparently a central lookup
for the cargo package manager

source = "registry+https://github.com/rust-lang/crates.io-index"
after drilling down in that repo to find the actual reference for 'ansi_term’, that is only yet more metadata, referencing what appears to be a binary
package by name, version, and "yanked" status - that also does not mention any license, nor where the source code may be found

https://github.com/rust-lang/crates.io-index/blob/master/an/si/ansi_term

{"name":"ansi_term","vers":"0.2.0","deps":[],"cksum":"cd01719095c4343774405912{68715bf594d01dfe8c3f5{662090cf9817cb3fa","features":{},"y
anked":false}

this would take many many hours to audit and package properly; and be ridiculously tedious to maintain properly - parabola does not want software
like this; and parabola users would not want it either - this is a shining example of why you wont see many java, golang, javascript, or rust programs in
distros - it is designed unashamedly distro-hostile, and libre-hostile

if someone wants to prove me wrong; that would be great; but im washing my hands of it

#28 - 2022-04-26 09:52 AM - kabo

Wow, | had no idea rust programs could be so messy...
Thanks for your time and your patience looking into this!

#29 - 2022-08-06 10:38 PM - gap

kabo | use exa, but as | reported in #3250, it may need blacklisting too.

Files
fc-list.txt 77.1 KB 2022-04-26 kabo
output.txt 222 Bytes 2022-04-26 kabo
